phing

# Class: BuildException Source Location: /BuildException.php
### Class Overview
    Exception
       |
       --BuildException
BuildException is for when things go wrong in a build execution. #### Author(s): Andreas Aderhold <andi@binarycloud.com> #### Version: $Revision: 552 $ | ### Variables $cause $location | ### Methods __construct getCause getLocation setLocation
### Child classes: ExpatParseException This class throws errors for Expat, the XML processor. | ### Inherited Variables #### Class: Exception (Internal Class) $code $file $line $message $string $trace | ### Inherited Methods #### Class: Exception (Internal Class) constructor __construct ( [$message = ], [$code = ] ) getCode ( ) getFile ( ) getLine ( ) getMessage ( ) getTrace ( ) getTraceAsString ( ) __clone ( ) __toString ( )
### Class Details [line 29] BuildException is for when things go wrong in a build execution. #### Tags:
author: | Andreas Aderhold <andi@binarycloud.com>
version: | $Revision: 552 $
[ Top ] ### Class Variables #### $cause = [line 41] The nested "cause" exception. #### Tags:
access: | protected
Type: | Exception
[ Top ] #### $location = [line 35] Location in the xml file. #### Tags:
access: | protected
Type: | Location
[ Top ] ### Class Methods ### constructor __construct [line 53]
`BuildException __construct( $p1, [ $p2 = null], [ $p3 = null])`
Construct a BuildException. Supported signatures: throw new BuildException($causeExc); throw new BuildException($msg); throw new Buildexception($causeExc, $loc); throw new BuildException($msg, $causeExc); throw new BuildException($msg, $loc); throw new BuildException($msg, $causeExc, $loc); Overrides Exception::constructor __construct ( [$message = ], [$code = ] ) (parent method not documented) #### Parameters:
| $p1 |
| $p2 |
| $p3 |
[ Top ] ### method getCause [line 98]
`Exception getCause( )`
Gets the cause exception. #### Tags:
access: | public
[ Top ] ### method getLocation [line 107]
`Location getLocation( )`
Gets the location of error in XML file. #### Tags:
access: | public
[ Top ] ### method setLocation [line 116]
`void setLocation( $loc)`
Sets the location of error in XML file. #### Tags:
access: | public
#### Parameters:
Locaiton | $loc |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:26 +0200 by phpDocumentor 1.4.3